# Poco::Data::PostgreSQL

# class StatementException

Library: Data/PostgreSQL
Package: PostgreSQL
Header: Poco/Data/PostgreSQL/PostgreSQLException.h

## Description

StatementException

## Inheritance

Direct Base Classes: PostgreSQLException

All Base Classes: Poco::Data::DataException, PostgreSQLException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### StatementException

StatementException(
const std::string & aMessage
);

Creates StatementException from string.